image: node

before_script:
  - npm install

cache:
  key: ${CI_COMMIT_REF_SLUG}
  paths:
    - node_modules/
    - .next/cache/

pages:
  script:
    - npm run-script build && npm run-script export
    - rm -rf public/*
    - mv out/* public
  artifacts:
    paths:
      - public
  only:
    - main
